#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int matr[m][3];
    for(int i=0;i<m;i++)
        for(int j=0;j<3;j++){
            cin>>matr[i][j];
        }
    int ar,ah;
    cin>>ar,ah;
    cout<<0;

    return 0;
}